Quitting a game returns back to Home screen
Status: Closed Start date: 2015-02-12
Priority: Normal % Done: 100%
Assignee: skyjake

Category: User experience

Target version: 2.0 — Home Ul & Packages

Description

vermil wrote:

| also think the in game quit menu options could do with an option to return to Ring Zero; as well as the standard press Y to quit
or N to cancel, the addition of a say press, say, H to return to Ring Zero. | think this would promote Ring Zero (i.e they would
think 'ooo what's this third option that I've not seen in the original game or any other port..."), given that most users probably still
use Snowberry and thus skip Ring Zero.

The Doom 3 BFG Edition alters the Vanilla Doom quit dialog to add an option to return to it's game select frontend, alongside
the normal quit program completely option.

Related issues:
Related to Feature #1974: Home screen usability: Quit button, hint about Esca... Closed 2015-02-12

Associated revisions

Revision 7d675cae - 2016-03-25 11:56 - skyjake

UI|All Games: Quitting the game returns to Home screen

IssuelD #1975

History

#1 - 2015-02-12 13:18 - skyjake

- Tags changed from Menu, Ul to Menu, Ul, libcommon

#2 - 2015-04-29 22:55 - rhargrave

| was going to open an issue similar to this.

| think that this is a good idea, but it would perhaps be a better idea to create an option such that, when a game is launched from Ring Zero, "exiting"
the game will return to Ring Zero. In order to prevent the window close event generated by the close button on the window decorations from getting
hijacked in this scenario, the engine would need to know about the source of the exit request.

#3 - 2015-04-30 13:30 - skyjake

| think it's very logical that if the game was started from Ring Zero, quitting the game leads back to Ring Zero. When Snowberry is removed, this is
likely the most natural default behavior.

Many game Uls have separate "Quit Game" and "Quit to [Operating System]" menu items, that's always one way to go.

#4 - 2015-05-03 14:26 - skyjake
- Related to Feature #1974: Home screen usability: Quit button, hint about Escape toggling taskbar added

#5 - 2016-03-25 11:49 - skyjake

- Subject changed from Option to unload game in Quit confirmation to Quitting a game returns back to Home screen

#6 - 2016-03-25 11:55 - skyjake
- Status changed from New to Closed
- Assignee set to skyjake

- Target version set to 2.0 — Home Ul & Packages
- % Done changed from 0 to 100

#7 - 2016-03-25 11:57 - skyjake

- Status changed from Closed to Resolved

Currently implemented in ui-home.

#8 - 2016-04-26 09:57 - skyjake

- Status changed from Resolved to Closed
